# __gnu_cxx::_BinaryPredicateConcept< _Func, _First, _Second > Struct Template Reference

List of all members.

## Detailed Description

### template<class _Func, class _First, class _Second>
struct __gnu_cxx::_BinaryPredicateConcept< _Func, _First, _Second >

Definition at line 388 of file boost_concept_check.h.

## Public Member Functions

- void __constraints ()

## Public Attributes

- _First __a
- _Second __b
- _Func __f

The documentation for this struct was generated from the following file:

- boost_concept_check.h